package regions;

import java.util.*;

public class Bornian {
	private String firstName,lastName;
	private String firstNamesFemale = "Alinja,Alwinje,Baernja,Bernischa,Baronje,Charinje,Danja,Dorlin,Dunjascha,Eljascha,Elkwine,Elkwinja,Elmjescha,Firunja,Frinja,Gari,Geertja,Grimje,Gritten,Gudwinja,Helvja,Hesinja,lfirnja,Ilmjescha,Irinja,Isidra,Jadvine,Jadvige,Janne,Jedwinja,Jella,Karinja,Kundra,Libussa,Luta,Lysminja,Maline,Malinja,Marja,Moschane,Nadjescha,Najescha,Nessa,Nokia,Olja,Paale,Paisuma,Peranka,Rowena,Rowinja,Rudwischa,Salwinja,Selwinc,Sewjescha,Sulja,Tanile,Tineke,Tjeika,Turiken,UImjescha,Urjelke,Vanjescha,Verosja,Warja,Winja,Yassula,Zidanja,Zidonje";
	private String firstNamesMale = "Albin,Almin,Arlin,Baerjan,Bosjew,Boutsen,Coljew,Dabbert,Daanje,Danow,Duchdo,Dulgjew,Elkjow,Elko,Elkwin,Ertzel,Firnjan,Firunew,Fredo,Galjan,Goljew,Grimjan,Grimow,Hane,Hanjow,Helmjew,Hurda,Iber,I1min,Irjan,Ischtan,Jaakon,Jasper,Jarle,Joost,Jucho,Koj,Kolkja,Laran,Linjan,Lumin,Meljow,Mew,Miljan,Mjesko,Nassin,Neerjan,Norbo,Olko,Orschin,Oswin,Panek,Pedder,Pettar,Pitjow,Pjerow,Rajan,Rowin,Rudjew,Stane,Stormin,Suschin,Tannjew,Thezmar,Torjin,Travin,Ugo,Ulmjan,Ulmew,Vita,Wolpje,Woltan,Wulfen,Wulfjew,Xebbert,Zidon,Zorjan";
	private String lastNames = "Alwinnen,Arauken,Baerensen,Baerow,Bornski,Brinnske,Dappersjen,Drulgosch,Eelkinnen,Elkensen,Elmsjen,FirnsklO,Firunkis,Gartimpski,Gerbensen,Gerberow,HinzklO,Hjalmarew,Hollerow,Ilmensen,Ilumkis,Tannerloff,TannsklO,Tuchski,Karenkis,Karjensen,KunzklO,Laikis,Larinow,Luminow,Meskinske,Miljes,Muselken,Nagragski,Notjes,Ouvensen,Parenkis,Peddersen,Peddersjepen,Peschelei,Puschkinske,Rodensen,Ruderow,Sewerski,Sjepensen,Stipkow,Surjeloff,Timpski,Tuljow,Turjeleff,Ulmensen,Ulmski,Walroder,Walsjakow,Walsareff,Wolpjes";
	
	/**
	 * Creats a bornian similar to a Commoner but with other names
	 * @param girl
	 */
	public Bornian(boolean girl){
		if(girl){
			String[] names = this.firstNamesFemale.split(",");
			this.firstName = names[new Random().nextInt(names.length)];
		}
		else{
			String[] names = this.firstNamesMale.split(",");
			this.firstName = names[new Random().nextInt(names.length)];
		}
		
		String[] lastnames = this.lastNames.split(",");
		this.lastName = lastnames[new Random().nextInt(lastnames.length)];
		
		}

		/**
		 * @return the name of the bornian
		 */
		public String getName(){
			return this.firstName+" "+this.lastName;
		}
}
