package regions;

import java.util.*;

public class Tulamidian {
	private String firstName,middle, tutor;
	private String firstNamesFemale = "Abrizah,Aischa,Aishulibeth,Alhina,Arika,Ashaybith,Ayla,Ayrina,Ayshal,Azina,Belima,Belizeth,Beychaliban,Birshen,Byalabeth,Chalibah,Chanya,Dassareth,Delilah,Demeya,Dilhabeth,Dimiona,Djamilla,Dunja,Emiramis,Erzibeth,Eshila,Esmalda,Fadime,Fahimja,Fayrishe,Ferushan,Halima,Harani,Hennah,Heyeshan,Hidaybeth,Isha,Izmaban,Jamilha,Josmabith,Jushibi,Karhima,Kemillja,Kerime,Laila,Manjula,Meriban,Milhiberh,Mirhiban,Mirshan,Moqrah,Nahema,Nassiban,Nazmeya,Nedime,Neraida,Nesliha,Niobara,Nurhan,Onchaberh,Oyan,Oymira,Palmeya,Peribeth,Perishan,Perizel,RancheI,Renahban,Reshemin,Riftah,Sajida,Sarjaban,Sefira,Selime,Semirhija,Shabra,Shahane,Shanhazadra,Shanja,Sharisad,Shenny,Sherizeth,Sheydan,Shila,Shuhelja,Shulam,Sulibeth,Tulameth,Tulmyrja,Yamira,Yashima,Yasine,Yeshinna,Yezemio,Yilbalis,Yosmabith,Yullabeth,Zahrabeth,Zechiban,Zulhamin";
	private String firstNamesMale = "Abdul,Abu,Achmad,Achtev,Alam,Alev,Ali,Alrik,Amaryd,Amir,Arkos,Assaf,Aytan,Babur,Benayman,Bey,Chadim,Charef,Cherek,Dajin,Deniz,Dilhaban,Djuned,Dschadir,Dscherid,Dunchaban,Erkhaban,Eslam,Faizal,Faramud,Farsid,Faruk,Feruzef,Feyhach,Ftaihif,Gaftar,Gulshev,Habled,Hadjiin,Hahmud,Haimamud,Hairan,Hamar,Hamed,Hamil,Haschnabah,Hasrabal,Hilal,Ismeth,Jachman,Jalif,Jassafer,Jedrech,Jikhaban,Jikhbar,Kalkarib,Karmal,Kasim,Kashban,Kazan,Khabla,Khajid,Khorim,Khusrau,Maharbal,Mahmud,Marwan,Mawud,Melekh,Mezzek,Mhadul,Mhanach,Mhukkadin,Mordai,Muammar,Mustafa,Nadrash,Najara,Nareb,Nasreddin,Nazir,Nebahath,Neriman,Nezahet,Omar,Omjaid,Pakhizal,Perhiman,Rafid,Rashid,Rashirn,Rashman,Rastafan,Rechan,Rezzan,Rhayad,Rhukeyef,Rohal,Ruban,Ruchan,Sahil,Said,Saiman,Sanshied,Sedef,Selim,Selo,Seyshaban,Shabob,Shafir,Shahin,Shanatir,Shejk,Sheranbil,Sulman,Surkan,Tulachim,Tulef,Tuleyman,Ukhraban,Umran,Yadail,Yakuban,Yali,Yelmiz,Yerdawan,Yussuf,Zachaban,Zachan,Zahir,Zelhiman,Zuhal,Zulhamid";
	private String femaleMiddle = "saba,sunya,sla";
	private String maleMiddle = "ibn,sl";
		
	/**
	 * Generate a tulamidian with tutor (saba... ibn...) of same gender
	 * @param girl is it a girl?
	 */
	public Tulamidian(boolean girl){
		if(girl){
			String[] names = this.firstNamesFemale.split(",");
			this.firstName = names[new Random().nextInt(names.length)];
			String[] middles = this.femaleMiddle.split(",");
			this.middle = middles[new Random().nextInt(middles.length)];
		}
		else{
			String[] names = this.firstNamesMale.split(",");
			this.firstName = names[new Random().nextInt(names.length)];
			String[] middles = this.maleMiddle.split(",");
			this.middle = middles[new Random().nextInt(middles.length)];
		}
		boolean tutorgirl;
		if(new Random().nextInt()%2==0){
			tutorgirl = true;
		}
		else{
			tutorgirl = false;
		}
		if(tutorgirl){
			String[] tutornames = this.firstNamesFemale.split(",");
			this.tutor = tutornames[new Random().nextInt(tutornames.length)];
		}
		else{
			String[] tutornames = this.firstNamesMale.split(",");
			this.tutor = tutornames[new Random().nextInt(tutornames.length)];
		}
	}
	
	/**
	 * @return the name of the tulamidian
	 */
	public String getName(){
		return this.firstName+" "+this.middle+" "+this.tutor;
	}

}
